// SPDX-License-Identifier: CAL
pragma solidity *;

pragma experimental ABIEncoderV2;

import "./IFactory.sol";

abstract contract Factory {
    mapping(address => bool) private contracts;

    function _createChild(bytes calldata data_)
        internal
        virtual
        returns(address)
    { }

    function createChild(bytes calldata data_)
        external
        virtual
        returns(address) {
        address child_ = _createChild(data_);
        contracts[child_] = true;
        return child_;
    }
}
