pragma experimental ABIEncoderV2;


import { ITier } from "../tier/ITier.sol";

import { Factory } from "../factory/Factory.sol";
import { Trust, TrustConfig } from "../trust/Trust.sol";
import { RedeemableERC20, RedeemableERC20Config } from "../redeemableERC20/RedeemableERC20.sol";
import { RedeemableERC20PoolFactory } from "../pool/RedeemableERC20PoolFactory.sol";
import { RedeemableERC20Pool, RedeemableERC20PoolConfig } from "../pool/RedeemableERC20Pool.sol";
import { SafeERC20 } from "@openzeppelin/contracts/token/ERC20/SafeERC20.sol";
import { TrustRedeemableERC20Config, TrustRedeemableERC20PoolConfig } from "./Trust.sol";

struct TrustFactoryTrustConfig {
    uint x;
}

struct TrustFactoryTrustRedeemableERC20Config {
    string name;
    string symbol;
    ITier tier;
    ITier.Tier minimumStatus;
    uint256 totalSupply;
}

contract TrustFactory is Factory {
    function _createChild( bytes calldata data_) internal virtual override returns(address) {
        abi.decode(
            "",
            (
                TrustFactoryTrustConfig,
                TrustFactoryTrustRedeemableERC20Config
            )
        );

        return address(0x0);
    }
}
